Description:

RSS indicator for Plasma 5

Inspired by feedindicator, this widget is tailored for Plasma 5 with better desktop integration and more consistent look-and-feel.

Features:

- Send notifications when new feed items come
- View the unread count/mark all items as read/check updates for a particular feed
- View the total unread in the panel icon
- View the details of an item when hovered by the mouse. Left click to mark the item as read and right click to view it in your favorite browser.

See https://github.com/cute-jumper/plasma-rss-indicator for more details

ekaradon

1 month ago

It works great! Thank you @cutejumper!

Report

aram

2 months ago

Doesn't work...

Report

mirkogennari

3 months ago

Errore durante il caricamento del file QML: file:///home/mirko-gennari/.local/share/plasma/plasmoids/rss_indicator/contents/ui/main.qml:22:34: Type FullRepresentation unavailable
file:///home/mirko-gennari/.local/share/plasma/plasmoids/rss_indicator/contents/ui/FullRepresentation.qml:2:1: module "QtQuick.LocalStorage" is not installed

Report

cutejumper

3 months ago

You need to install the localstorage module of QtQuick. This depends on your Linux distribution. Please try google your Linux distribution and QtQuick localstorage.

Report

mirkogennari

3 months ago

ok thank.

Report

pyrforos

3 months ago

I get
Error loading QML file: file:///home/******/.local/share/plasma/plasmoids/rss_indicator/contents/ui/main.qml:22:34: Type FullRepresentation unavailable

Report

cutejumper

3 months ago

How do you install the widget? What are the files under ~/.local/share/plasma/plasmoids/rss_indicator/contents/ui/?

Report

pyrforos

3 months ago

tried both ways
plasmapkg2 --install plasmoid
install from menu


CompactRepresentation.qml FullRepresentation.qml RssList.qml
config main.qml RssSourceDelegate.qml
CurrentItemHighLight.qml rssindicator.png

Report

cutejumper

3 months ago

Weird...You do have FullRepresentation.qml there. Any luck running plasmoidviewer -a plasmoid under the git-cloned root directory?

Report

pyrforos

3 months ago

i think its a bug... https://forum.kde.org/viewtopic.php?f=66&t=131230

I get the same error with plasmoidviewer

Report

cutejumper

3 months ago

Maybe. I only have an Arch Linux to test on. Not sure how to reproduce your problem.

Report

cutejumper

2 months ago

Have you figured out the problem? Do you get any other errors like mirkogennari said in his comment?

Report

pyrforos

2 months ago

No ... i did not had any free time to deal with it... The error i get is the one i mentioned at the first post and i have most QtQuick libs installed...

Report

Filename Version Description Filetype Packagetype License Downloads Date Filesize Install
Score 63%
63.00 Likes
37 Dislikes
Details
version
0.1.6
updated Feb 17 2017
added Jan 19 2017
downloads
page views 2061
support cutejumper
For The Product
RSS Indicator
5 - 10 - 25 - 50 - 100 - 200 - 500